## python-opentimestamps 0.4.1

=== requirements.txt ===
python-bitcoinlib>=0.9.0,<0.11.0
GitPython>=2.0.8
pysha3>=1.0.2

## python-opentimestamps 0.4.0

=== debian/changelog ===
python-opentimestamps (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #921261)

 -- Hanno Stock <opensource@hanno-stock.de>  Tue, 05 Feb 2019 18:24:45 +0000

=== debian/control ===
Source: python-opentimestamps
Section: python
Priority: optional
Maintainer: Hanno Stock <opensource@hanno-stock.de>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/opentimestamps/python-opentimestamps
X-Python3-Version: >= 3.5
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opentimestamps
Vcs-Git: https://salsa.debian.org/python-team/modules/python-opentimestamps.git
Testsuite: autopkgtest-pkg-python

Package: python3-opentimestamps
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python3 library for creating and verifying OpenTimestamps proofs
 OpenTimestamps aims to be a standard format for blockchain timestamping.
 The format is flexible enough to be vendor and blockchain independent.
 .
 A timestamp proves that some data existed prior to some point in time.
 OpenTimestamps defines a set of operations for creating provable timestamps and
 later independently verifying them.
 .
 This package installs the library for Python 3.

## python-opentimestamps 0.4.1

=== debian/changelog ===
python-opentimestamps (0.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.
  * Bump Standards-Version to 4.4.1.

  [ Hanno Stock ]
  * New upstream release 0.4.1
  * Added autopkgtests

 -- Hanno Stock <opensource@hanno-stock.de>  Tue, 29 Oct 2019 17:33:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Hanno Stock <opensource@hanno-stock.de>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools
+Standards-Version: 4.4.1
 Homepage: https://github.com/opentimestamps/python-opentimestamps
-X-Python3-Version: >= 3.5
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opentimestamps
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-opentimestamps.git
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-opentimestamps_$1.orig.tar.gz%" \
   https://github.com/opentimestamps/python-opentimestamps/tags \
   (?:.*?/)?python-opentimestamps-v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-opentimestamps 0.4.2

=== requirements.txt ===
python-bitcoinlib>=0.9.0,<0.12.0
GitPython>=2.0.8
pysha3>=1.0.2

=== debian/changelog ===
python-opentimestamps (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Patch: Migrate from pysha3 to pycryptodomex, which is still maintained
    upstream.
  * autopkgtest: Write an openssl config file to enable ripemd160.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 29 Oct 2022 14:56:44 +0200

python-opentimestamps (0.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:08:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Hanno Stock <opensource@hanno-stock.de>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.4.1
 Homepage: https://github.com/opentimestamps/python-opentimestamps
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opentimestamps
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-opentimestamps.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opentimestamps
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-opentimestamps.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-opentimestamps

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=opentimestamps
DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-pytest, python3-git
